Может ли кто-нибудь помочь мне с этой ошибкой в ​​моей команде аватара, которую я получаю?

Привет, не могли бы вы помочь мне исправить эту ошибку, я не очень хорошо разбираюсь в API. И если вы исправите ее, пожалуйста, подробно объясните, как вы ее исправили, пытаясь изучить python.

Код:

@client.command()
async def avatarimg1(ctx, username):
    user = await roblox.get_user_by_username(username)
    embed = Embed(title=f"Avatar of {user.name}")
    response = requests.get(f'https://thumbnails.roblox.com/v1/users/avatar?userIds={user.id}&size=420x420&format=Png&isCircular=false')
    json_data = json.loads(response.text)
    imagesj = json_data["imageUrl"]
    
    embed.set_thumbnail(imagesj)
    await ctx.send(embed=embed)

Ошибка:

> Ignoring exception in command avatarimg1: Traceback (most recent call
> last):   File
> "/home/runner/dasdasdasd/venv/lib/python3.8/site-packages/discord/ext/commands/core.py",
> line 85, in wrapped
>     ret = await coro(*args, **kwargs)   File "main.py", line 40, in avatarimg1
>     imagesj = json_data["imageUrl"] KeyError: 'imageUrl'
> 
> The above exception was the direct cause of the following exception:
> 
> Traceback (most recent call last):   File
> "/home/runner/dasdasdasd/venv/lib/python3.8/site-packages/discord/ext/commands/bot.py",
> line 939, in invoke
>     await ctx.command.invoke(ctx)   File "/home/runner/dasdasdasd/venv/lib/python3.8/site-packages/discord/ext/commands/core.py",
> line 863, in invoke
>     await injected(*ctx.args, **ctx.kwargs)   File "/home/runner/dasdasdasd/venv/lib/python3.8/site-packages/discord/ext/commands/core.py",
> line 94, in wrapped
>     raise CommandInvokeError(exc) from exc discord.ext.commands.errors.CommandInvokeError: Command raised an
> exception: KeyError: 'imageUrl'

Если бы кто-то мог мне помочь, я бы оценил это :)

json_data нет ключа imageUrl
sahasrara62 10.04.2022 12:01

Когда идентификатор заменяется, у него есть imageUrl, посмотрите на эту ссылку thumbnails.roblox.com/v1/users/…

Ocry0l 10.04.2022 12:03
Анализ настроения постов в Twitter с помощью Python, Tweepy и Flair
Анализ настроения постов в Twitter с помощью Python, Tweepy и Flair
Анализ настроения текстовых сообщений может быть настолько сложным или простым, насколько вы его сделаете. Как и в любом ML-проекте, вы можете выбрать...
7 лайфхаков для начинающих Python-программистов
7 лайфхаков для начинающих Python-программистов
В этой статье мы расскажем о хитростях и советах по Python, которые должны быть известны разработчику Python.
Установка Apache Cassandra на Mac OS
Установка Apache Cassandra на Mac OS
Это краткое руководство по установке Apache Cassandra.
Сертификатная программа "Кванты Python": Бэктестер ансамблевых методов на основе ООП
Сертификатная программа "Кванты Python": Бэктестер ансамблевых методов на основе ООП
В одном из недавних постов я рассказал о том, как я использую навыки количественных исследований, которые я совершенствую в рамках программы TPQ...
Создание персонального файлового хранилища
Создание персонального файлового хранилища
Вы когда-нибудь хотели поделиться с кем-то файлом, но он содержал конфиденциальную информацию? Многие думают, что электронная почта безопасна, но это...
Создание приборной панели для анализа данных на GCP - часть I
Создание приборной панели для анализа данных на GCP - часть I
Недавно я столкнулся с интересной бизнес-задачей - визуализацией сбоев в цепочке поставок лекарств, которую могут просматривать врачи и...
1
2
21
1
Перейти к ответу Данный вопрос помечен как решенный

Ответы 1

Ответ принят как подходящий

Первый слой ответа имеет только один ключ data, который представляет собой список, поэтому вам нужно получить первый элемент и получить доступ к ключу imageUrl на нем.

imagesj = json_data['data'][0]['imageUrl']

Другие вопросы по теме